package webresponse

import (
	"git.agecem.com/agecem/agecem-org/apiresponse"
	"git.agecem.com/agecem/agecem-org/models"
)

type HandleAdminDocumentsUploadResponse struct {
	apiresponse.APIResponse
	Data struct {
		Buckets []models.Bucket
	}
}

type HandleDocumentationResponse struct {
	apiresponse.APIResponse
	Data struct {
		Buckets []models.Bucket
	}
}

type UploadDocumentAPIResponse struct {
	apiresponse.APIResponse
	Data UploadDocumentResponseData
}

type UploadDocumentResponseData struct {
	Bucket string
	Object string
	Size   float64
}
